Bug 545404 - [abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
[abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
abrt_hash:b64a5fd75c46112e2f4d03d9cde...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-08 08:54 EST by Rob Riggs
Modified: 2010-01-04 09:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-04 09:01:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (84.25 KB, text/plain)
2009-12-08 08:54 EST, Rob Riggs
no flags Details
File: cmdline (786 bytes, text/plain)
2009-12-08 08:54 EST, Rob Riggs
no flags Details

  None (edit)
Description Rob Riggs 2009-12-08 08:54:22 EST
abrt detected a crash.

Comment: Running the Amazon Web Services plugin under Eclipse...
Attached file: backtrace
Attached file: cmdline
component: java-1.6.0-openjdk
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java
kernel: 2.6.31.5-127.fc12.x86_64
package: java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
rating: 2
reason: Process was terminated by signal 6
Comment 1 Rob Riggs 2009-12-08 08:54:24 EST
Created attachment 376902 [details]
File: backtrace
Comment 2 Rob Riggs 2009-12-08 08:54:26 EST
Created attachment 376903 [details]
File: cmdline
Comment 3 Mark Wielaard 2009-12-09 08:12:10 EST
Crash is in Eclipse org_eclipse_swt_internal_gtk_OS_Call
Comment 4 Andrew Overholt 2009-12-09 09:23:01 EST
Rob, can you provide more details about how you came across this crash?  I would like to be able to reproduce it so please provide detailed steps.  Thanks.
Comment 5 Rob Riggs 2009-12-15 23:32:27 EST
I'm sorry, but I cannot provide much detail at all.  I installed the Amazon Web Services Toolkit for Eclipse and its myriad dependencies which were unavailable via RPM.  (Talk about dependency hell...)

http://aws.amazon.com/eclipse/

I set up the client with my account information and connected to AWS.  I could not stop a running instance through the Eclipse interface so I logged in via the web interface and stopped it.  I then started on another task and came back a few minutes later with the crash notification.

This was the second crash for me within the first few hours of running the AWS Toolkit for Eclipse.  I ignored the first crash report.
Comment 6 Andrew Overholt 2009-12-16 00:03:23 EST
Did you have GNOME Accessibility enabled when this crash occurred?
Comment 7 Rob Riggs 2009-12-16 21:52:00 EST
GNOME Accessibility was not knowingly enabled.  If these are the options under "Assistive Technologies" then they were definitely not enabled at the time of the crash.  The "Dwell Click" applet was running but not enabled.  It tells me that Assistive Technology Support must be enabled to use it.  I have never done so.
Comment 8 Andrew Overholt 2009-12-22 15:59:19 EST
This will be difficult to track down as I don't have an AWS account.  Rob, can you reproduce this with an eclipse.org download?  It would be great if you could try a build from here (upstream 3.5.1):

http://download.eclipse.org/eclipse/downloads/drops/R-3.5.1-200909170800/index.php

and then a build from here (upstream 3.6M4):

http://download.eclipse.org/eclipse/downloads/drops/S-3.6M4-200912101301/index.php

There have been some work upstream in the 3.6 series for Gtk crashers and I'm hoping the M4 build will have a fix.  I suspect 3.5.1 will fail the same way that our RPMs do.  Make sure you grab the "x86_64/GTK 2" .zip files.

Thanks!
Comment 9 Rob Riggs 2009-12-28 01:01:51 EST
Hi Andrew: Unfortunately, I have too many other priorities and cannot spend any more time on this.
Comment 10 Andrew Overholt 2010-01-04 09:01:39 EST
Without more information, I can't track down this problem.  Sorry.

Note You need to log in before you can comment on or make changes to this bug.